function [centroids, cl] = clustKMeans(k, data)
    [D,N] = size(data);
    cl = nan(1,N);              % Inicializace piazen dat do shluk
    centroids = data(:,1:k);    % Inicializace centroid (pouity prvn  
                                % body z trnovac sady
    while true,
        oldcl = cl;
        % Piazen bod k centroidm
        cl = pred1NearestNeighbor(centroids, data);
        % prava pozic centroid
        for i = 1:k,
            centroids(:,i) = mean(data(:,cl==i), 2);
        end
        % Pokud nedolo ke zmn, skoni
        if all( oldcl == cl ), break; end
    end
end