function [pts, ny, nx] = transformPicture(pic)
    [ny,nx,nc] = size(pic);
    pts = reshape(pic, nx*ny, nc);
    pts = double(pts);
    pts = [pts'; nan(2,nx*ny)];
    for i = 1:nx,
        for j = 1:ny,
            pts(4:5,(i-1)*ny+j) = [j i]';
        end
    end
end