function pts = replaceColorsWithCentroids(pts, cl)
    clCodes = unique(cl);
    for iCl = clCodes,
        color = round( mean( pts(1:3, cl == iCl), 2) );
        pts(1:3, cl == iCl) = repmat( color, 1, sum( cl==iCl ) );
    end
end